
D4Science Infrastructure - Task #11442

Task # 11429 (Closed): Upgrade GS development/pre-production instances

Copy data_dir to new instances

Mar 13, 2018 06:01 PM - Fabio Sinibaldi

Status: Closed Start date: Mar 13, 2018

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: Other Estimated time: 0.00 hour

Target version: SDI-nodes management   

Infrastructure: Development, Pre-Production   

Description

GeoServer data_dir from host geoserver-dev.d4science-ii.research-infrastructures.eu should be moved to both the new GeoServer

instances created for preproduction and development environments.

Related issues:

Blocked by D4Science Infrastructure - VM Creation #11439: Preproduction GeoSe... Closed Mar 13, 2018

Blocked by D4Science Infrastructure - Task #11446: Update Development Geoserv... Closed Mar 13, 2018

History

#1 - Mar 13, 2018 06:22 PM - Fabio Sinibaldi

- Blocked by VM Creation #11439: Preproduction GeoServer 2.10.5 added

#2 - Mar 13, 2018 06:22 PM - Fabio Sinibaldi

- Blocked by Task #11446: Update Development Geoserver to 2.10.5 added

#3 - Mar 14, 2018 08:09 PM - Andrea Dell'Amico

Is it OK to settle for /srv/geoserver_data as data directory? All the recent geoservers use that path.

#4 - Mar 15, 2018 11:38 AM - Fabio Sinibaldi

Yes, that should be ok.

#5 - Mar 19, 2018 07:04 PM - Andrea Dell'Amico

- Status changed from New to In Progress

data copied into the preproduction geoserver instance.

#6 - Mar 19, 2018 08:08 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

Data copied on geoserver1-d-d4s.d4science.org.

On both hosts, under /srv/geoserver_data/data. I don't know if it is the correct way, or if the root directory should be /srv/geoserver_data/ because on

the source server the files are under /home/gcube/tomcat/webapps/geoserver/data, but there's an additional data subdirectory inside it. If the files

must be moved, the way to do it is 

cd /srv/geoserver_data/

mv data/* .

#7 - Mar 22, 2018 12:01 PM - Fabio Sinibaldi

@tommaso.piccioli@isti.cnr.it can you perform the rsync mentioned by Andrea in https://support.d4science.org/issues/11439#note-12 towards

geoserver1-d-d4s.d4science.org? 

Please, remember that the destination directory must be /srv/geoserver_data

#8 - Mar 22, 2018 12:33 PM - Tommaso Piccioli
https://support.d4science.org/issues/11439#note-12


rsync done.

#9 - Apr 12, 2018 02:38 PM - Andrea Dell'Amico

- Status changed from Feedback to Closed
